Namespace
library
Image / Tag
swift:6.2.3-jammy-slim
Content Digest
sha256:c4528fec9fd10ac15fad57b73081e6f873a9af98b9ef967b7bb0bf768f7ff6f3
Details
Created

2026-02-17 20:37:15 UTC

Size

94.3 MB

Content Digest
Labels
  • description
    Docker Container for the Swift programming language
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>
  • org.opencontainers.image.ref.name
    ubuntu
  • org.opencontainers.image.version
    22.04

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-6.2.3-release

SWIFT_PLATFORM

ubuntu22.04

SWIFT_SIGNING_KEY

52BB7E3DE28A71BE22EC05FFEF80A866B47A981F

SWIFT_VERSION

swift-6.2.3-RELEASE

SWIFT_WEBROOT

https://download.swift.org


Layers

[#000] sha256:b1cba2e842ca52b95817f958faf99734080c78e92e43ce609cde9244867b49ed - 29.89% (28.2 MB)

[#001] sha256:bc3f26774f23527df801775f48c778e31f6e6c3d92acf72b5e1f20dd20c5835e - 19.45% (18.3 MB)

[#002] sha256:69cdce10ffec84d92b3d44a9395bf0d87a10a8cc1e045c1fff8cdede610c7d04 - 50.66% (47.8 MB)


History
2026-02-10 17:40:06 UTC

/bin/sh -c #(nop) ARG RELEASE

2026-02-10 17:40:06 UTC

/bin/sh -c #(nop) ARG LAUNCHPAD_BUILD_ARCH

2026-02-10 17:40:06 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.ref.name=ubuntu

2026-02-10 17:40:06 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=22.04

2026-02-10 17:40:09 UTC

/bin/sh -c #(nop) ADD file:52c0e467fa2e92f101018df01a0ff56580c752b7553fbe6df88e16b02af6d4ee in /

2026-02-10 17:40:09 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2026-02-17 20:36:40 UTC (buildkit.dockerfile.v0)

LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2026-02-17 20:36:40 UTC (buildkit.dockerfile.v0)

LABEL description=Docker Container for the Swift programming language

2026-02-17 20:36:40 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c export DEBIAN_FRONTEND=noninteractive DEBCONF_NONINTERACTIVE_SEEN=true && apt-get -q update && apt-get -q install -y libcurl4 libxml2 tzdata && rm -r /var/lib/apt/lists/* # buildkit

2026-02-17 20:36:40 UTC (buildkit.dockerfile.v0)

ARG SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F

2026-02-17 20:36:40 UTC (buildkit.dockerfile.v0)

ARG SWIFT_PLATFORM=ubuntu22.04

2026-02-17 20:36:40 UTC (buildkit.dockerfile.v0)

ARG SWIFT_BRANCH=swift-6.2.3-release

2026-02-17 20:36:40 UTC (buildkit.dockerfile.v0)

ARG SWIFT_VERSION=swift-6.2.3-RELEASE

2026-02-17 20:36:40 UTC (buildkit.dockerfile.v0)

ARG SWIFT_WEBROOT=https://download.swift.org

2026-02-17 20:36:40 UTC (buildkit.dockerfile.v0)

ENV SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubuntu22.04 SWIFT_BRANCH=swift-6.2.3-release SWIFT_VERSION=swift-6.2.3-RELEASE SWIFT_WEBROOT=https://download.swift.org

2026-02-17 20:37:15 UTC (buildkit.dockerfile.v0)

RUN |5 SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubuntu22.04 SWIFT_BRANCH=swift-6.2.3-release SWIFT_VERSION=swift-6.2.3-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c set -e; ARCH_NAME="$(dpkg --print-architecture)"; url=; case "${ARCH_NAME##*-}" in 'amd64') OS_ARCH_SUFFIX=''; ;; 'arm64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export DEBIAN_FRONTEND=noninteractive && apt-get -q update && apt-get -q install -y curl gnupg && rm -rf /var/lib/apt/lists/* && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/lib/swift/linux $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/libexec/swift/linux && chmod -R o+r /usr/lib/swift /usr/libexec/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && apt-get purge --auto-remove -y curl gnupg # buildkit

Details
Created

2026-02-17 20:35:39 UTC

Size

91.5 MB

Content Digest
Labels
  • description
    Docker Container for the Swift programming language
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>
  • org.opencontainers.image.ref.name
    ubuntu
  • org.opencontainers.image.version
    22.04

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-6.2.3-release

SWIFT_PLATFORM

ubuntu22.04

SWIFT_SIGNING_KEY

52BB7E3DE28A71BE22EC05FFEF80A866B47A981F

SWIFT_VERSION

swift-6.2.3-RELEASE

SWIFT_WEBROOT

https://download.swift.org


Layers

[#000] sha256:c36472b3458398be28ecbfebbaac44143c040eae73411baded48a22060d3055b - 28.54% (26.1 MB)

[#001] sha256:13a7b1a6fd561fec563145073262ce9a7d3144feb5f87a5c4ac2cb70bbec9b70 - 19.91% (18.2 MB)

[#002] sha256:705c943b9baf25e0e86bf29543409f4caa0d185ccf9b3bb47e8540975fec779a - 51.56% (47.2 MB)


History
2026-02-10 17:42:29 UTC

/bin/sh -c #(nop) ARG RELEASE

2026-02-10 17:42:29 UTC

/bin/sh -c #(nop) ARG LAUNCHPAD_BUILD_ARCH

2026-02-10 17:42:29 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.ref.name=ubuntu

2026-02-10 17:42:29 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=22.04

2026-02-10 17:42:31 UTC

/bin/sh -c #(nop) ADD file:a85469998596adb526225bc2a2ce3f2cd899fb87a09539f6f84d359c6b935769 in /

2026-02-10 17:42:31 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2026-02-17 20:34:53 UTC (buildkit.dockerfile.v0)

LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2026-02-17 20:34:53 UTC (buildkit.dockerfile.v0)

LABEL description=Docker Container for the Swift programming language

2026-02-17 20:34:53 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c export DEBIAN_FRONTEND=noninteractive DEBCONF_NONINTERACTIVE_SEEN=true && apt-get -q update && apt-get -q install -y libcurl4 libxml2 tzdata && rm -r /var/lib/apt/lists/* # buildkit

2026-02-17 20:34:53 UTC (buildkit.dockerfile.v0)

ARG SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F

2026-02-17 20:34:53 UTC (buildkit.dockerfile.v0)

ARG SWIFT_PLATFORM=ubuntu22.04

2026-02-17 20:34:53 UTC (buildkit.dockerfile.v0)

ARG SWIFT_BRANCH=swift-6.2.3-release

2026-02-17 20:34:53 UTC (buildkit.dockerfile.v0)

ARG SWIFT_VERSION=swift-6.2.3-RELEASE

2026-02-17 20:34:53 UTC (buildkit.dockerfile.v0)

ARG SWIFT_WEBROOT=https://download.swift.org

2026-02-17 20:34:53 UTC (buildkit.dockerfile.v0)

ENV SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubuntu22.04 SWIFT_BRANCH=swift-6.2.3-release SWIFT_VERSION=swift-6.2.3-RELEASE SWIFT_WEBROOT=https://download.swift.org

2026-02-17 20:35:39 UTC (buildkit.dockerfile.v0)

RUN |5 SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubuntu22.04 SWIFT_BRANCH=swift-6.2.3-release SWIFT_VERSION=swift-6.2.3-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c set -e; ARCH_NAME="$(dpkg --print-architecture)"; url=; case "${ARCH_NAME##*-}" in 'amd64') OS_ARCH_SUFFIX=''; ;; 'arm64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export DEBIAN_FRONTEND=noninteractive && apt-get -q update && apt-get -q install -y curl gnupg && rm -rf /var/lib/apt/lists/* && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/lib/swift/linux $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/libexec/swift/linux && chmod -R o+r /usr/lib/swift /usr/libexec/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && apt-get purge --auto-remove -y curl gnupg # buildkit

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete